Bug Hunting Session
Bug 117662 - LO Vanilla (Mac App Store): basic font settings aren't saved and lost on restart
Summary: LO Vanilla (Mac App Store): basic font settings aren't saved and lost on restart
Status: RESOLVED NOTABUG
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0.3.2 release
Hardware: All Mac OS X (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: MacOS-Vanilla
  Show dependency treegraph
 
Reported: 2018-05-17 09:57 UTC by Yannick.D
Modified: 2019-03-28 16:11 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yannick.D 2018-05-17 09:57:08 UTC
Description:
On LibreOffice Vanilla (Mac App tore version) changes to basic fonts aren't saved and return to the default selection (Liberation Serif/Sans) on restart.

Steps to Reproduce:
1. Create a new document and type and style some text as heading and some as body text.
2. Go to app menu "LibreOffice Vanilla" > "Preferences…" > "LibreOffice Writer" > "Basic Fonts (Western)".
3. Change default fonts to something else.
=> See fonts being changed in your document.
4. Close LOV and reopen it.
5. Create a new document and type and style some text as heading and some as body text.
=> See fonts being back to defaults (Liberation) again.

Actual Results:  
- Font settings are changed while LOV is running.
- Font settings are back to defaults after restart.

Expected Results:
Basic font settings should be remembered as new defaults for new documents (as is the case for the non-App Store versions of LO).


Reproducible: Always


User Profile Reset: No



Additional Info:
LibreOffice Vanilla (Mac App Store)
Version: 6.0.3.2
Build-ID: 8f48d515416608e3a835360314dac7e47fd0b821
CPU-Threads: 4; BS: Mac OS X 10.13.4; UI-Render: Standard; 
Gebietsschema: de-DE (de_DE.UTF-8); Calc: group


User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_13_4) AppleWebKit/605.1.15 (KHTML, like Gecko) Version/11.1 Safari/605.1.15
Comment 1 Alex Thurgood 2018-08-06 08:14:02 UTC
No repro for me with

LibreOffice Vanilla
Version: 6.0.4.5
Build ID: 6840e4519a6ce8bcc1328eb2d87b5c46c6df1038
Threads CPU : 4; OS : Mac OS X 10.13.6; UI Render : par défaut; 
Locale : fr-FR (fr_FR.UTF-8); Calc: group

I switched the default font in the Basic font preferences to Lumina. This change was retained on next start of LO, the default font for a new Writer document being Lumina.


Please test with the latest LOVanilla available and report back.

Currently, this is worksforme.

If you can still reproduce it with the current release of LOVanilla, please indicate which font substitutions you are using.


Setting NEEDINFO pending requested information.
Comment 2 QA Administrators 2019-03-21 11:12:08 UTC Comment hidden (obsolete)
Comment 3 Yannick.D 2019-03-28 16:11:11 UTC
Hey Alex, thanks for testing. I switched back to regular LO in the meantime for stability so it took me a while to get back to you. Sorry.

I still (maybe again – I thought it was gone before) had this issue on LOV 6.2 and figured font settings weren't even saved *within* a session (gone in new windwo/document). So I decided to reinstall LOV and delete all "Application Support"-files before reporting. This solved the issue for now. So it probably was related to corrupted user settings.

I'm very sorry for the buzz and set this thread to "RESOLVED/NOTABUG". I'll report back if the issue reappears repeatedly.


LibreOffice Vanilla
Version: 6.2.1.3
Build-ID: e485074f4984fbc86184b6aa3aba3228d0150755
CPU-Threads: 4; BS: Mac OS X 10.14.3; UI-Render: Standard; VCL: osx; 
Gebietsschema: de-DE (de_DE.UTF-8); UI-Sprache: de-DE
Calc: threaded